## mediagoblin 0.9.0~dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html htmlview dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  htmlview   to open the index page built by the html target in your browser"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

htmlview: html
	$(PYTHON) -c "import webbrowser; webbrowser.open('build/html/index.html')"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GNUMediaGoblin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GNUMediaGoblin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GNUMediaGoblin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GNUMediaGoblin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mediagoblin (0.9.0~dfsg-1~exp4) experimental; urgency=medium

  * Fix spoonfeed test images to testsuite.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 15:04:25 +0200

mediagoblin (0.9.0~dfsg-1~exp3) experimental; urgency=medium

  * Declare compliance with Debian Policy 4.1.0.
  * Fix list upstream bug tracker and irc channel as preferred forms of
    contact.
  * Fix have python3-mediagoblin recommend unoconv and gir libraries
    glib gstreamer gst-plugins-base: Used in media_types plugins.
  * Fix copy stuff into build environment during testsuite.
  * Fix patch 1001.
    Closes: Bug#873496. Thanks to Piotr Ożarowski.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 14:47:56 +0200

mediagoblin (0.9.0~dfsg-1~exp2) experimental; urgency=medium

  * Add patch 1001 to fix syntax for listing multiple exceptions.
  * Fix generate and install documentation.
  * Generate and install info file.
  * Update copyright info:
    + Fix extend coverage for main upstream authors.
    + Declare copyright and licensing in rules file.
  * Declare compliance with Debian Policy 4.0.1.
  * Install ini file (only as example for now).
  * Enable testsuite (but ignore failure when targeting experimental).
  * Install Python library in separate binary package.
  * Install command-line tool as symlink to default version library.
  * Fix permissions of fake images part of testsuite.
  * Generate gettext MO locale files.
  * Add patch 2001 to fix Python dependencies.
  * Let pybuild resolve Python module dependencies.
  * Fix build-depend on python3-exif.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Aug 2017 19:57:26 +0200

mediagoblin (0.9.0~dfsg-1~exp1) experimental; urgency=low

  * Initial release.
    Closes: bug#657405.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jul 2017 23:40:52 -0400

=== debian/control ===
Source: mediagoblin
Section: web
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper,
 dh-python,
 python3,
 python3-setuptools,
 python3-sphinx,
 texinfo,
# testsuite
 python3-nose,
 python3-alembic,
 python3-babel,
 python3-bcrypt,
 python3-celery,
 python3-configobj,
 python3-dateutil,
 python3-exif,
 python3-itsdangerous,
 python3-jinja2,
 python3-jsonschema,
 python3-kombu,
 python3-markdown,
 python3-oauthlib,
 python3-pastedeploy,
 python3-pyld,
 python3-pytest,
 python3-pytest-xdist,
 python3-requests,
 python3-six,
 python3-sphinx,
 python3-sqlalchemy,
 python3-tz,
 python3-unidecode,
 python3-waitress,
 python3-webtest,
 python3-werkzeug,
 python3-wtforms,
 python3-exif,
 python3-lxml,
 python3-pil,
Standards-Version: 4.1.0
Homepage: https://mediagoblin.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/mediagoblin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mediagoblin.git

Package: mediagoblin
Architecture: all
Depends:
 python3-mediagoblin,
 ${misc:Depends},
Suggests:
 mediagoblin-doc,
Description: web application for publishing all kinds of media
 GNU MediaGoblin is a free software media publishing platform that
 anyone can run. You can think of it as a decentralized alternative to
 Flickr, YouTube, SoundCloud, etc.

Package: python3-mediagoblin
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 fonts-inconsolata,
 fonts-lato,
 gir1.2-glib-2.0,
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 libjs-jquery,
 libjs-leaflet,
 libjs-pdf,
 postgresql-client,
 unoconv,
Suggests:
 mediagoblin-doc,
 python-nose,
Description: web application for publishing all kinds of media - Python libs
 GNU MediaGoblin is a free software media publishing platform that
 anyone can run. You can think of it as a decentralized alternative to
 Flickr, YouTube, SoundCloud, etc.
 .
 This package contains Python libraries for MediaGoblin.

Package: mediagoblin-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 fonts-inconsolata,
 fonts-lato,
 libjs-jquery,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: web application for publishing all kinds of media - documentation
 GNU MediaGoblin is a free software media publishing platform that
 anyone can run. You can think of it as a decentralized alternative to
 Flickr, YouTube, SoundCloud, etc.
 .
 This package contains documentation for MediaGoblin.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Mediagoblin
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# resolve if release is experimental
include /usr/share/dpkg/pkg-info.mk
EXP_RELEASE = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# handle Python libraries
# * generate gettext MO locale files
# * add symlink to provide a deterministic path for main package
python3_default = $(shell py3versions -d)
export PYBUILD_NAME = mediagoblin
export PYBUILD_AFTER_BUILD = \
	cd {build_dir} && {dir}/devtools/compile_translations.sh
export PYBUILD_BEFORE_TEST = \
	cp -a alembic.ini {build_dir}/ \
	&& cp -R {dir}/mediagoblin/tests/test_exif \
		{build_dir}/mediagoblin/tests
export PYBUILD_AFTER_TEST = \
	rm -rf {build_dir}/alembic.ini
export PYBUILD_INSTALL_ARGS = \
	--install-scripts='/usr/share/mediagoblin/{interpreter}/bin/'
export PYBUILD_AFTER_INSTALL = \
	if test '$(python3_default)' = '{interpreter}'; then \
		ln -sT '{interpreter}' '{destdir}/usr/share/mediagoblin/python3'; \
	fi
export PYBUILD_TEST_PYTEST = 1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	cp -f mediagoblin.example.ini mediagoblin.ini
	dh_auto_build
	$(MAKE) -C docs html info

# ignore testuite failure when targeting experimental
override_dh_auto_test:
	dh_auto_test$(if $(EXP_RELEASE), || true)

override_dh_installchangelogs:
	dh_installchangelogs docs/source/siteadmin/relnotes.rst

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/python3-mediagoblin/usr/lib/python3/dist-packages/mediagoblin/tests/test_submission/evil.*

# Preserve upstream cruft to not upset git-buildpackage
override_dh_clean:
	dh_clean -Xmediagoblin/plugins/metadata_display/templates/mediagoblin/plugins/metadata_display/metadata_table.html.orig

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg\d*$//,repacksuffix=~dfsg" \
 http://git.savannah.gnu.org/cgit/mediagoblin.git/ \
 .*/snapshot/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian
